## fortran-stdlib 0.8.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14.0)

# Include overwrites before setting up the project
set(CMAKE_USER_MAKE_RULES_OVERRIDE ${CMAKE_CURRENT_SOURCE_DIR}/config/DefaultFlags.cmake)

project(fortran_stdlib
	LANGUAGES Fortran C
        DESCRIPTION "Community driven and agreed upon de facto standard library for Fortran"
)

# Read version from file
file(STRINGS "${PROJECT_SOURCE_DIR}/VERSION" PROJECT_VERSION)
string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)
unset(VERSION_LIST)

include(CTest)

# Follow GNU conventions for installation directories
include(GNUInstallDirs)

include(${PROJECT_SOURCE_DIR}/cmake/stdlib.cmake)

# --- CMake specific configuration and package data export
add_subdirectory(config)

# --- compiler selection
if(CMAKE_Fortran_COMPILER_ID STREQUAL GNU AND CMAKE_Fortran_COMPILER_VERSION VERSION_LESS 9.0)
  message(FATAL_ERROR "GCC Version 9 or newer required")
endif()

# --- silence gfortran-15 argument-mismatch warnings
if(CMAKE_Fortran_COMPILER_ID STREQUAL GNU
   AND CMAKE_Fortran_COMPILER_VERSION VERSION_GREATER_EQUAL 15.0
   AND CMAKE_Fortran_COMPILER_VERSION VERSION_LESS 16.0)
    add_compile_options("$<$<COMPILE_LANGUAGE:Fortran>:-Wno-external-argument-mismatch>")
endif()

# --- compiler feature checks
include(CheckFortranSourceCompiles)
include(CheckFortranSourceRuns)
check_fortran_source_runs("i=0; error stop i; end" f18errorstop)
check_fortran_source_compiles("real, allocatable :: array(:, :, :, :, :, :, :, :, :, :); end" f03rank SRC_EXT f90)
check_fortran_source_runs("use, intrinsic :: iso_fortran_env, only : real128; real(real128) :: x; x = x+1; end" f03real128)

if(NOT DEFINED CMAKE_MAXIMUM_RANK)
  set(CMAKE_MAXIMUM_RANK 4 CACHE STRING "Maximum array rank for generated procedures")
endif()

# --- determine if the following modules will be compiled
check_modular("ANSI")
check_modular("BITSETS")
check_modular("HASHMAPS")
check_modular("IO")
check_modular("LINALG_ITERATIVE")
check_modular("LOGGER")
check_modular("QUADRATURE")
check_modular("SPECIALMATRICES")
check_modular("STRINGLIST")
check_modular("STATS")
check_modular("SYSTEM")

option(FIND_BLAS "Find external BLAS and LAPACK" ON)

# --- find external BLAS and LAPACK
if(FIND_BLAS)

  message(STATUS "Searching for external BLAS/LAPACK")

  # Common MKL setup
  if(DEFINED ENV{MKLROOT} OR "${BLA_VENDOR}" MATCHES "^(Intel|Intel10_64)")
    enable_language("C")
    message(STATUS "Detected Intel MKL environment")
  endif()

  find_package(BLAS)
  find_package(LAPACK)

  if(BLAS_FOUND AND LAPACK_FOUND)
    message(STATUS "Found external BLAS: ${BLAS_LIBRARIES}")
    message(STATUS "Found external LAPACK: ${LAPACK_LIBRARIES}")

    # Detect ILP64 (common function)
    function(detect_ilp64 lib_name)
      set(${lib_name}_ILP64 False PARENT_SCOPE)
      # Prefer checking BLA_SIZEOF_INTEGER (available in CMake >= 3.22)
      if(DEFINED BLA_SIZEOF_INTEGER AND BLA_SIZEOF_INTEGER EQUAL 8)
        set(${lib_name}_ILP64 True PARENT_SCOPE)
      # Fallback: Check BLA_VENDOR manually for signs of ILP64
      elseif("${BLA_VENDOR}" MATCHES ".*(_ilp|ILP64).*")
        set(${lib_name}_ILP64 True PARENT_SCOPE)
      endif()
    endfunction()

    detect_ilp64(BLAS)
    detect_ilp64(LAPACK)

    # Set compile definitions
    if(BLAS_ILP64 OR LAPACK_ILP64)
      message(STATUS "Enabling 64-bit integer support (ILP64)")
      add_compile_definitions(STDLIB_EXTERNAL_BLAS_I64 STDLIB_EXTERNAL_LAPACK_I64)
      set(WITH_ILP64 True CACHE BOOL "Use 64-bit integer BLAS/LAPACK" FORCE)
    else()
      message(STATUS "Using standard 32-bit integer interface")
      add_compile_definitions(STDLIB_EXTERNAL_BLAS STDLIB_EXTERNAL_LAPACK)
    endif()

  else()
    message(WARNING "External BLAS/LAPACK not found - "
      "Using built-in reference BLAS")
  endif()

endif()

# --- find preprocessor
find_program(FYPP fypp)
if(NOT FYPP)
  message(FATAL_ERROR "Preprocessor fypp not found! Please install fypp following the instructions in https://fypp.readthedocs.io/en/stable/fypp.html#installing")
endif()

# Custom preprocessor flags
if(DEFINED CMAKE_MAXIMUM_RANK)
  set(fyppFlags "-DMAXRANK=${CMAKE_MAXIMUM_RANK}")
elseif(f03rank)
  set(fyppFlags)
else()
  set(fyppFlags "-DVERSION90")
endif()

list(
  APPEND fyppFlags
  "-DWITH_CBOOL=$<BOOL:${WITH_CBOOL}>"
  "-DWITH_QP=$<BOOL:${WITH_QP}>"
  "-DWITH_XDP=$<BOOL:${WITH_XDP}>"
  "-DWITH_ILP64=$<BOOL:${WITH_ILP64}>"
  "-DPROJECT_VERSION_MAJOR=${PROJECT_VERSION_MAJOR}"
  "-DPROJECT_VERSION_MINOR=${PROJECT_VERSION_MINOR}"
  "-DPROJECT_VERSION_PATCH=${PROJECT_VERSION_PATCH}"
  "-I${PROJECT_SOURCE_DIR}/include"
)

include_directories(${PROJECT_SOURCE_DIR}/include)
add_subdirectory(src)

if(BUILD_TESTING)
  enable_testing()
  add_subdirectory(test)
  add_subdirectory(example)
endif()

install(EXPORT ${PROJECT_NAME}-targets
        NAMESPACE ${PROJECT_NAME}::
        DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}"
)

# Export a pkg-config file
include(${PROJECT_SOURCE_DIR}/config/export_pc.cmake)

=== config/CMakeLists.txt ===
# SPDX-Identifier: MIT

if(NOT DEFINED CMAKE_INSTALL_MODULEDIR)
  set(
    CMAKE_INSTALL_MODULEDIR
    "${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}/${CMAKE_Fortran_COMPILER_ID}-${CMAKE_Fortran_COMPILER_VERSION}"
    CACHE
    STRING
    "Directory in prefix to install generated module files"
  )
endif()

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" PARENT_SCOPE)

# Check for available features
# Note: users can overwrite the automatic check by setting the value at configure time
include(CheckFortranSourceRuns)
if (NOT DEFINED WITH_CBOOL)
  check_fortran_source_runs(
    "use, intrinsic :: iso_c_binding, only: c_bool; integer, parameter :: lk = kind(.true.)
     if (c_bool == lk) stop 1
     end"
    WITH_CBOOL
  )
  set(WITH_CBOOL ${WITH_CBOOL} PARENT_SCOPE)
endif()
if (NOT DEFINED WITH_QP)
  check_fortran_source_runs(
    "if (selected_real_kind(33) == -1) stop 1; end"
    WITH_QP
  )
  set(WITH_QP ${WITH_QP} PARENT_SCOPE)
endif()
if (NOT DEFINED WITH_XDP)
  check_fortran_source_runs(
    "if (any(selected_real_kind(18) == [-1, selected_real_kind(33)])) stop 1; end"
    WITH_XDP
  )
  set(WITH_XDP ${WITH_XDP} PARENT_SCOPE)
endif()
# Check if WITH_ILP64 is defined; if not, set it to FALSE
if (NOT DEFINED WITH_ILP64)
  set(WITH_ILP64 FALSE)
  set(WITH_ILP64 ${WITH_ILP64} PARENT_SCOPE)
endif()

# Export CMake package file
include(CMakePackageConfigHelpers)
configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/template.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
  INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}"
)
if(BUILD_SHARED_LIBS OR PROJECT_VERSION_MAJOR EQUAL 0)
  # Due to the uncertain ABI compatibility of Fortran shared libraries
  # limit compatibility for dynamic linking to same minor version.
  set(COMPATIBILITY SameMinorVersion)
else()
  # Require API compatibility via semantic versioning for static linking.
  set(COMPATIBILITY SameMajorVersion)
endif()
write_basic_package_version_file(
  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
  VERSION "${PROJECT_VERSION}"
  COMPATIBILITY ${COMPATIBILITY}
)
install(
  FILES
  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}"
)

=== example/CMakeLists.txt ===
macro(ADD_EXAMPLE name)
    add_executable(example_${name} example_${name}.f90)
    target_link_libraries(example_${name} "${PROJECT_NAME}")
    add_test(NAME ${name}
             COMMAND $<TARGET_FILE:example_${name}> ${CMAKE_CURRENT_BINARY_DIR}
             WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
endmacro(ADD_EXAMPLE)

macro(ADD_EXAMPLEPP name)
    add_executable(example_${name} example_${name}.F90)
    target_link_libraries(example_${name} "${PROJECT_NAME}")
    add_test(NAME ${name}
             COMMAND $<TARGET_FILE:example_${name}> ${CMAKE_CURRENT_BINARY_DIR}
             WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
endmacro(ADD_EXAMPLEPP)



if (STDLIB_ANSI)
  add_subdirectory(ansi)
endif()
add_subdirectory(array)
add_subdirectory(ascii)
if (STDLIB_BITSETS)
  add_subdirectory(bitsets)
endif()
add_subdirectory(constants)
add_subdirectory(error)
if (STDLIB_HASHMAPS)
  add_subdirectory(hashmaps)
endif()
add_subdirectory(hash_procedures)
add_subdirectory(intrinsics)
if (STDLIB_IO)
  add_subdirectory(io)
endif()
add_subdirectory(linalg)
if (STDLIB_LOGGER)
  add_subdirectory(logger)
endif()
add_subdirectory(math)
add_subdirectory(optval)
if (STDLIB_QUADRATURE)
  add_subdirectory(quadrature)
endif()
add_subdirectory(selection)
add_subdirectory(sorting)
add_subdirectory(specialfunctions_gamma)
if (STDLIB_SPECIALMATRICES)
  add_subdirectory(specialmatrices)
endif()
if (STDLIB_STATS)
  add_subdirectory(stats)
  add_subdirectory(stats_distribution_exponential)
  add_subdirectory(stats_distribution_normal)
  add_subdirectory(stats_distribution_uniform)
  add_subdirectory(random)
endif()
if (STDLIB_STRINGLIST)
  add_subdirectory(stringlist_type)
endif()
add_subdirectory(strings)
add_subdirectory(string_type)
if (STDLIB_SYSTEM)
  add_subdirectory(system)
endif()
add_subdirectory(version)

=== src/CMakeLists.txt ===
macro(ADD_SUBDIR name)
  string(TOUPPER "${name}" uname)
  if (STDLIB_${uname})
    add_subdirectory(${name})
    list(APPEND OPTIONAL_LIB ${PROJECT_NAME}_${name})
  endif()
endmacro()

set(OPTIONAL_LIB)

ADD_SUBDIR(ansi)

add_subdirectory(array)

ADD_SUBDIR(bitsets)

add_subdirectory(blas)
add_subdirectory(constants)
add_subdirectory(core)

add_subdirectory(hash)

ADD_SUBDIR(hashmaps)

add_subdirectory(intrinsics)
ADD_SUBDIR(io)

add_subdirectory(lapack)
add_subdirectory(lapack_extended)
add_subdirectory(linalg_core)
ADD_SUBDIR(linalg_iterative)
add_subdirectory(linalg)
ADD_SUBDIR(logger)
add_subdirectory(math)
ADD_SUBDIR(quadrature)
add_subdirectory(selection)
add_subdirectory(sorting)
add_subdirectory(specialfunctions)
ADD_SUBDIR(specialmatrices)
ADD_SUBDIR(stringlist)
add_subdirectory(strings)
ADD_SUBDIR(system)

ADD_SUBDIR(stats)

add_subdirectory(sparse)

set(fppFiles
    stdlib_version.fypp
)
set(cppFiles
    )
set(f90Files
)

configure_stdlib_target(${PROJECT_NAME} f90Files fppFiles cppFiles)

target_link_libraries(${PROJECT_NAME} PUBLIC
  ${PROJECT_NAME}_array
  ${PROJECT_NAME}_constants
  ${PROJECT_NAME}_core
  ${PROJECT_NAME}_hash
  ${PROJECT_NAME}_intrinsics
  ${PROJECT_NAME}_linalg_core
  ${PROJECT_NAME}_linalg
  ${PROJECT_NAME}_math
  ${PROJECT_NAME}_selection
  ${PROJECT_NAME}_specialfunctions
  ${PROJECT_NAME}_sorting
  ${PROJECT_NAME}_strings
  ${PROJECT_NAME}_blas ${PROJECT_NAME}_lapack ${PROJECT_NAME}_lapack_extended
  ${PROJECT_NAME}_sparse
  ${OPTIONAL_LIB}
  )

=== example/ansi/CMakeLists.txt ===
ADD_EXAMPLE(ansi_color)
ADD_EXAMPLE(ansi_combine)
ADD_EXAMPLE(ansi_concat)
ADD_EXAMPLE(ansi_to_string)

=== example/error/CMakeLists.txt ===
ADD_EXAMPLE(check1)
set_tests_properties(check1 PROPERTIES WILL_FAIL true)
ADD_EXAMPLE(check2)
set_tests_properties(check2 PROPERTIES WILL_FAIL true)
ADD_EXAMPLE(check3)
ADD_EXAMPLE(check4)
set_tests_properties(check4 PROPERTIES SKIP_RETURN_CODE 77)
ADD_EXAMPLE(error_stop1)
set_tests_properties(error_stop1 PROPERTIES WILL_FAIL true)
ADD_EXAMPLE(error_stop2)
set_tests_properties(error_stop2 PROPERTIES WILL_FAIL true)
ADD_EXAMPLE(error_state1)
ADD_EXAMPLE(error_state2)

=== example/hashmaps/CMakeLists.txt ===
ADD_EXAMPLE(hashmaps_calls)
ADD_EXAMPLE(hashmaps_copy_key)
ADD_EXAMPLE(hashmaps_entries)
ADD_EXAMPLE(hashmaps_equal_keys)
ADD_EXAMPLE(hashmaps_fnv_1a_hasher)
ADD_EXAMPLE(hashmaps_fnv_1_hasher)
ADD_EXAMPLE(hashmaps_free_key)
ADD_EXAMPLE(hashmaps_get)
ADD_EXAMPLE(hashmaps_get_all_keys)
ADD_EXAMPLE(hashmaps_get_other_data)
ADD_EXAMPLE(hashmaps_hasher_fun)
ADD_EXAMPLE(hashmaps_init)
ADD_EXAMPLE(hashmaps_key_test)
ADD_EXAMPLE(hashmaps_loading)
ADD_EXAMPLE(hashmaps_map_entry)
ADD_EXAMPLE(hashmaps_num_slots)
ADD_EXAMPLE(hashmaps_probes)
ADD_EXAMPLE(hashmaps_rehash)
ADD_EXAMPLE(hashmaps_remove)
ADD_EXAMPLE(hashmaps_seeded_nmhash32_hasher)
ADD_EXAMPLE(hashmaps_seeded_nmhash32x_hasher)
ADD_EXAMPLE(hashmaps_seeded_water_hasher)
ADD_EXAMPLE(hashmaps_set)
ADD_EXAMPLE(hashmaps_set_other_data)
ADD_EXAMPLE(hashmaps_slots_bits)
ADD_EXAMPLE(hashmaps_total_depth)

=== example/intrinsics/CMakeLists.txt ===
ADD_EXAMPLE(sum)
ADD_EXAMPLE(dot_product)
ADD_EXAMPLE(matmul)

=== example/io/CMakeLists.txt ===
ADD_EXAMPLE(fmt_constants)
#ADD_EXAMPLE(get_line)
ADD_EXAMPLE(get_file)
ADD_EXAMPLE(loadnpy)
ADD_EXAMPLE(loadtxt)
ADD_EXAMPLE(open)
ADD_EXAMPLE(savenpy)
ADD_EXAMPLE(savetxt)

=== example/linalg/CMakeLists.txt ===
ADD_EXAMPLE(diag1)
ADD_EXAMPLE(diag2)
ADD_EXAMPLE(diag3)
ADD_EXAMPLE(diag4)
ADD_EXAMPLE(diag5)
ADD_EXAMPLE(eye1)
ADD_EXAMPLE(eye2)
ADD_EXAMPLE(is_diagonal)
ADD_EXAMPLE(hermitian)
ADD_EXAMPLE(is_hermitian)
ADD_EXAMPLE(is_hessenberg)
ADD_EXAMPLE(is_skew_symmetric)
ADD_EXAMPLE(is_square)
ADD_EXAMPLE(is_symmetric)
ADD_EXAMPLE(is_triangular)
ADD_EXAMPLE(inverse_operator)
ADD_EXAMPLE(inverse_function)
ADD_EXAMPLE(inverse_inplace)
ADD_EXAMPLE(inverse_subroutine)
ADD_EXAMPLE(pseudoinverse)
ADD_EXAMPLE(outer_product)
ADD_EXAMPLE(eig)
ADD_EXAMPLE(eigh)
ADD_EXAMPLE(eig_generalized)
ADD_EXAMPLE(eigvals)
ADD_EXAMPLE(eigvalsh)
ADD_EXAMPLE(eigvals_generalized)
ADD_EXAMPLE(trace)
ADD_EXAMPLE(state1)
ADD_EXAMPLE(state2)
ADD_EXAMPLE(schur_real)
ADD_EXAMPLE(schur_complex)
ADD_EXAMPLE(schur_eigvals)
ADD_EXAMPLE(blas_gemv)
ADD_EXAMPLE(lapack_getrf)
ADD_EXAMPLE(lstsq1)
ADD_EXAMPLE(lstsq2)
ADD_EXAMPLE(constrained_lstsq1)
ADD_EXAMPLE(constrained_lstsq2)
ADD_EXAMPLE(norm)
ADD_EXAMPLE(mnorm)
ADD_EXAMPLE(get_norm)
ADD_EXAMPLE(solve1)
ADD_EXAMPLE(solve2)
ADD_EXAMPLE(solve3)
if (STDLIB_LINALG_ITERATIVE)
  ADD_EXAMPLE(solve_bicgstab)
  ADD_EXAMPLE(solve_bicgstab_wilkinson)
  ADD_EXAMPLE(solve_cg)
  ADD_EXAMPLE(solve_pcg)
  ADD_EXAMPLE(solve_custom)
endif()
ADD_EXAMPLE(sparse_from_ijv)
ADD_EXAMPLE(sparse_data_accessors)
ADD_EXAMPLE(sparse_spmv)
ADD_EXAMPLE(svd)
ADD_EXAMPLE(svdvals)
ADD_EXAMPLE(determinant)
ADD_EXAMPLE(determinant2)
ADD_EXAMPLE(qr)
ADD_EXAMPLE(pivoting_qr)
ADD_EXAMPLE(qr_space)
ADD_EXAMPLE(pivoting_qr_space)
ADD_EXAMPLE(cholesky)
ADD_EXAMPLE(chol)
ADD_EXAMPLE(expm)
ADD_EXAMPLE(matrix_exp)

=== example/math/CMakeLists.txt ===
ADD_EXAMPLE(clip_integer)
ADD_EXAMPLE(clip_real)
ADD_EXAMPLE(diff)
ADD_EXAMPLE(gcd)
ADD_EXAMPLE(linspace_complex)
ADD_EXAMPLE(linspace_int16)
ADD_EXAMPLE(logspace_complex)
ADD_EXAMPLE(logspace_int)
ADD_EXAMPLE(logspace_rstart_cbase)
ADD_EXAMPLE(math_all_close)
ADD_EXAMPLE(math_arange)
ADD_EXAMPLE(math_argd)
ADD_EXAMPLE(math_arg)
ADD_EXAMPLE(math_argpi)
ADD_EXAMPLE(math_deg2rad)
ADD_EXAMPLE(math_rad2deg)
ADD_EXAMPLE(math_is_close)
ADD_EXAMPLEPP(math_swap)
ADD_EXAMPLE(meshgrid)

=== example/sorting/CMakeLists.txt ===
ADD_EXAMPLE(ord_sort)
ADD_EXAMPLE(sort)
ADD_EXAMPLE(sort_adjoint)
ADD_EXAMPLE(sort_index)
ADD_EXAMPLE(radix_sort)
if (STDLIB_BITSETS)
  ADD_EXAMPLE(sort_bitset)
endif()

## fortran-stdlib 0.7.0

=== debian/changelog ===
fortran-stdlib (0.7.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1124664)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Jan 2026 07:07:39 +0000

=== debian/control ===
Source: fortran-stdlib
Section: utils
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Standards-Version: 4.7.3
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-fortran,
 gfortran | fortran-compiler,
 libfortran-testdrive-dev,
 python3,
 python3-joblib,
 fypp,
 ford [!loong64]
Homepage: https://github.com/fortran-lang/stdlib
Vcs-Browser: https://salsa.debian.org/science-team/fortran-stdlib
Vcs-Git: https://salsa.debian.org/science-team/fortran-stdlib.git -b debian/latest

Package: libfortran-stdlib-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},${fortran:Depends},
 libfortran-stdlib-0 ( = ${binary:Version})
Recommends: pkgconf
Description: Fortran Standard Library - development files
 The Fortran Standard Library aims to provide a community driven and agreed 
 upon de facto "standard" library for Fortran, covering:
 * Utilities (containers, strings, files, OS/environment integration,
   unit testing & assertions, logging, ...)
 * Algorithms (searching and sorting, merging, ...)
 * Mathematics (linear algebra, sparse matrices, special functions, 
   fast Fourier transform, random numbers, statistics, ordinary differential
   equations, numerical integration, optimization, ...)
 This package provides the static library and Fortran module files.

Package: libfortran-stdlib-0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Fortran Standard Library - shared library
 The Fortran Standard Library aims to provide a community driven and agreed 
 upon de facto "standard" library for Fortran, covering:
 * Utilities (containers, strings, files, OS/environment integration,
   unit testing & assertions, logging, ...)
 * Algorithms (searching and sorting, merging, ...)
 * Mathematics (linear algebra, sparse matrices, special functions, 
   fast Fourier transform, random numbers, statistics, ordinary differential
    equations, numerical integration, optimization, ...)
 This package provides the shared library.

## fortran-stdlib 0.8.1

=== debian/changelog ===
fortran-stdlib (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * Change license labels MIT->Expat
  * d/control formatting, via cme
  * http: to https: for github source
  * Add d/watch file
  * Add d/gbp.conf, pristine=tar=True

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Feb 2026 08:13:57 +0000

=== debian/control ===
Source: fortran-stdlib
Standards-Version: 4.7.3
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Alastair McKinstry <mckinstry@debian.org>,
Section: utils
Build-Depends:
 debhelper-compat (= 13),
 dh-fortran,
 gfortran | fortran-compiler,
 libfortran-testdrive-dev,
 python3,
 python3-joblib,
 fypp,
 ford [!loong64],
Vcs-Browser: https://salsa.debian.org/science-team/fortran-stdlib
Vcs-Git: https://salsa.debian.org/science-team/fortran-stdlib.git -b debian/latest
Homepage: https://github.com/fortran-lang/stdlib

Package: libfortran-stdlib-dev
Architecture: any
Section: libdevel
Depends:
 ${misc:Depends},
 ${fortran:Depends},
 libfortran-stdlib-0 ( = ${binary:Version}),
Recommends:
 pkgconf,
Description: Fortran Standard Library - development files
 The Fortran Standard Library aims to provide a community driven and agreed 
 upon de facto "standard" library for Fortran, covering:
  * Utilities (containers, strings, files, OS/environment integration,
   unit testing & assertions, logging, ...)
  * Algorithms (searching and sorting, merging, ...)
  * Mathematics (linear algebra, sparse matrices, special functions, 
   fast Fourier transform, random numbers, statistics, ordinary differential
   equations, numerical integration, optimization, ...)
 This package provides the static library and Fortran module files.

Package: libfortran-stdlib-0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fortran Standard Library - shared library
 The Fortran Standard Library aims to provide a community driven and agreed 
 upon de facto "standard" library for Fortran, covering:
  * Utilities (containers, strings, files, OS/environment integration,
   unit testing & assertions, logging, ...)
  * Algorithms (searching and sorting, merging, ...)
  * Mathematics (linear algebra, sparse matrices, special functions, 
   fast Fourier transform, random numbers, statistics, ordinary differential
    equations, numerical integration, optimization, ...)
 This package provides the shared library.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@ --with fortran --buildsystem=fortran

FLIBDIR=$(shell dh_fortran get_flibdir)
FMODDIR=$(shell dh_fortran get_fmoddir)
export FPM_LDFLAGS=-L$(FLIBDIR)
export FPM_FFLAGS=-I$(FMODDIR)

execute_before_dh_auto_clean:
	-find . -name temp -exec rm -rf {} \;

override_dh_auto_build:
	python3 config/fypp_deployment.py --build 

override_dh_auto_test:
	fpm test --flag -I${FMODDIR}/testdrive --link-flag -L${FLIBDIR}

=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/fortran-lang/stdlib
